lp:~ubuntu-desktop/gnome-menus/gnome2

Created by Sebastien Bacher on 2011-08-26 and last modified on 2012-01-09
Get this branch:
bzr branch lp:~ubuntu-desktop/gnome-menus/gnome2
Members of Ubuntu Desktop can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu Desktop
Project:
gnome-menus
Status:
Development

Recent revisions

111. By Sebastien Bacher on 2012-01-09

releasing version 3.2.0.1-2ubuntu2

110. By Sebastien Bacher on 2012-01-09

* debian/gnome-menus.maintscript:
  - clean gnome-applications.menu on upgrade, it was installed by error
  - updated transition version for settings.menu there
* debian/rules: don't rename the .menus with a prefix "gnome-" like in
  Debian, we use the upstream names

109. By Michael Terry on 2011-12-23

* Merge from Debian testing, remaining changes:
  - debian/patches/09_app_install_entry.patch: Add Software Center
  - debian/patches/series: Disable 01_default_prefix.patch
  - debian/gnome-menus.postinst: Disable blacklist
  - debian/watch: Look for unstable tarballs
* Update po-up/ca.po.
* Upload to unstable.
* New upstream release
* Partial sync from Ubuntu, ensure we're using the same package names and
  initial 3.2.0 packaging
* debian/patches/01_default_prefix.patch: Refreshed
* debian/libgnome-menu-3-0.symbols: Add symbols file
* debian/gnome-menus.install: Install gmenu-simple-editor
* Remove pysupport depends, gnome-menus bindings go via GI now.
* debian/rules:
  - Call dh_python2 for gnome-menus, so python:Depends is set.
* debian/control.in:
  - Bump Build-Depends on python to (>= 2.6.6-3~) for dh_python2.
* Stop installing gmenu-simple-editor
* Add xterm to the blacklist.
* Use the .maintscript facility provided by dh_installdeb to cleanup the old
  conffiles.
* Update the last unfixed version to 3.0.1-2 as we missed to remove the old
  conffile for users upgrading from 2.30.3-2+b1. Closes: #645446
* Upload to unstable.
* debian/control.in:
  - Set <email address hidden> as Maintainer.
  - Remove obsolete Build-Depends on dpkg-dev.
  - Remove old Conflicts and Replaces.
  - Bump Standards-Version to 3.9.2. No further changes.
  - Add Vcs-* fields.
* Bump debhelper compatibility level to 8.
  - Update Build-Depends on debhelper.
  - Strip debian/tmp/ from .install files.
* debian/watch:
  - Update to version 3.
  - Switch to .xz tarballs.
* Break alacarte < 0.13.2-2 (version without support for
  settings.menu).
* New upstream release.
* 08_settings-menus.patch: new patch. Move the old settings and system
  settings to submenus in the “system” submenu. This is merely so that
  they have a place until we clean them up entirely.
  + desktop-files/Settings{,-System}.directory.in: taken from the 2.30
    package.
  + Update translations accordingly.
* po-up/fr.po: add a missing French translation.
* Clean up old comments in translations.
* 09_games-menu.patch: refreshed.

108. By Martin Pitt on 2011-10-05

* Remove remaining menu cache stuff, as it is not being used any more:
  - Drop debian/update-gnome-menus-cache. (LP: #769349, #771196)
  - debian/gnome-menus.triggers: Drop "gmenucache".
  - Drop 22_desktop-cache.patch (already wasn't applied any more in series)

107. By Martin Pitt on 2011-10-05

releasing version 3.2.0-0ubuntu2

106. By Martin Pitt on 2011-10-05

debian/gnome-menus.postinst: Drop old menu cache on upgrade, to avoid
using old data in applications which use the cache. (LP: #868219)

105. By Didier Roche on 2011-09-26

releasing version 3.2.0-0ubuntu1

104. By Didier Roche on 2011-09-26

* New upstream release:
  - Updated translations

103. By Martin Pitt on 2011-09-19

releasing version 3.1.92-0ubuntu1

102. By Martin Pitt on 2011-09-19

* New upstream release:
  - Fix build failure with --enable-debug
  - Translation updates.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:gnome-menus
This branch contains Public information 
Everyone can see this information.

Subscribers